summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorChristian Schmitt <chris@ilovelinux.de>2017-11-13 21:17:33 +0100
committerChristian Schmitt <chris@ilovelinux.de>2017-11-13 21:17:33 +0100
commit81ad7a1caaa63e17fc57b2b238ed8e9e4c0d55f2 (patch)
tree5dfb2c1e8095273e279e28073b991cf34720372d /games-simulation/kerbal-space-program/kerbal-space-program-1.3.1.1891.ebuild
parentrtcw: fixed calling ext command in global scope (fixes bgo#630174) (diff)
downloadgamerlay-81ad7a1caaa63e17fc57b2b238ed8e9e4c0d55f2.tar.gz
gamerlay-81ad7a1caaa63e17fc57b2b238ed8e9e4c0d55f2.tar.bz2
gamerlay-81ad7a1caaa63e17fc57b2b238ed8e9e4c0d55f2.zip
[games-simulation/kerbal-space-program] Version bump to 1.3.1
Diffstat (limited to 'games-simulation/kerbal-space-program/kerbal-space-program-1.3.1.1891.ebuild')
-rw-r--r--games-simulation/kerbal-space-program/kerbal-space-program-1.3.1.1891.ebuild92
1 files changed, 92 insertions, 0 deletions
diff --git a/games-simulation/kerbal-space-program/kerbal-space-program-1.3.1.1891.ebuild b/games-simulation/kerbal-space-program/kerbal-space-program-1.3.1.1891.ebuild
new file mode 100644
index 0000000..20ec760
--- /dev/null
+++ b/games-simulation/kerbal-space-program/kerbal-space-program-1.3.1.1891.ebuild
@@ -0,0 +1,92 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit eutils
+
+DESCRIPTION="A combination of platformer and role playing game"
+HOMEPAGE="http://www.unepicgame.com/"
+
+GOG_MAGIC="1_3_1_15547"
+
+SRC_PH="${PN//-/_}@PH@_${GOG_MAGIC}.sh"
+SRC_URI="
+ l10n_en? ( ${SRC_PH//@PH@/_en} )
+ l10n_es? ( ${SRC_PH//@PH@/_es} )
+ l10n_ja? ( ${SRC_PH//@PH@/_ja} )
+ l10n_ru? ( ${SRC_PH//@PH@/_ru} )
+ l10n_zh-CN? ( ${SRC_PH//@PH@/_zh} )
+"
+
+RESTRICT="fetch strip"
+LICENSE="EULA"
+
+SLOT="0"
+KEYWORDS="amd64 x86"
+
+L10NS="l10n_en l10n_es l10n_ja l10n_ru l10n_zh-CN"
+IUSE="${L10NS}"
+REQUIRED_USE="^^ ( ${L10NS} )"
+
+DEPEND="app-arch/unzip"
+RDEPEND="
+ dev-libs/glib:2
+ media-libs/mesa
+ sys-libs/glibc:2.2
+ x11-libs/gdk-pixbuf:2
+ x11-libs/gtk+:2
+ x11-libs/libX11
+ x11-libs/libXcursor
+ x11-libs/libXrandr
+"
+QA_DIR="usr/share/${PF}"
+QA_PREBUILT="${QA_DIR}/Launcher.x86 ${QA_DIR}/KSP.x86 ${QA_DIR}/Launcher_Data/Mono/x86/libmono.so ${QA_DIR}/KSP_Data/Mono/x86/libmono.so"
+
+pkg_nofetch() {
+ einfo ""
+ einfo "Please buy and download \"${A}\" from corresponding shop (HumbleBundle or GOG)"
+ einfo "and move/link it to \"${DISTDIR}\""
+ einfo "You can get more info on ${HOMEPAGE}"
+ einfo ""
+}
+
+src_unpack() {
+ local tmp="${WORKDIR}/tmp"
+ einfo "\nUnpacking files. This can take several minutes.\n"
+
+ mkdir "${tmp}" || die "mkdir 'tmp' failed"
+ cd "${tmp}" || die "cd 'tmp' failed"
+
+ unzip -q "${DISTDIR}/${A}"
+ local gpath="data/noarch/game"
+
+ mv "${gpath}" "${S}"
+
+ cd "${S}"
+
+ use l10n_es && unzip -oq KSP-LANG-ES-ES.zip && rm KSP-LANG-ES-ES.zip
+ use l10n_ja && unzip -oq KSP-LANG-JA.zip && rm KSP-LANG-JA.zip
+ use l10n_ru && unzip -oq KSP-LANG-RU.zip && rm KSP-LANG-RU.zip
+ use l10n_zh-CN && unzip -oq KSP-LANG-ZH-CN.zip && rm KSP-LANG-ZH-CN.zip
+
+ rm -r "${WORKDIR}/tmp"
+
+ find . -name .DS_Store -delete
+
+ sed -e "s@__PV__@${PV}@" "${FILESDIR}/ksp-wrapper" > "${T}"/ksp-wrapper
+}
+
+src_install() {
+ local arch="${ARCH//amd/x86_}"
+ local dir="/usr/share/${PF}"
+ insinto "${dir}"
+ exeinto "${dir}"
+
+ doins -r .
+ doexe {KSP,Launcher}.x86{,_64} || die "Failed to install executables"
+
+ newbin "${T}/ksp-wrapper" "${PN}"
+ newicon "Launcher_Data/Resources/UnityPlayer.png" "${PN}.png"
+ make_desktop_entry "${PN}" "Kerbal Space Program" "${PN}" || die "make_desktop_entry failed"
+}